__init__.py 731 Bytes
Newer Older
1
2
3
4
5
6
7
8
from . import compatibility
from . import convenience
from . import dtypes
from . import geo
from . import io
from . import numeric
from . import similarity
from . import web
9

10
11
__version__ = '0.4.5'
__versionalias__ = '20170911_01'
12
13
14
15
16
__author__='Daniel Scheffler'

# Validate GDAL version
try:
    import gdal
17
    import gdalnumeric
18
except ImportError:
19
    from osgeo import gdal
20
    from osgeo import gdalnumeric
21
22

try:
23
24
25
    getattr(gdal,'Warp')
    getattr(gdal,'Translate')
    getattr(gdalnumeric,'OpenNumPyArray')
26
27
28
29
except AttributeError:
    import warnings
    warnings.warn("Your GDAL version is too old to support all functionalities of the 'py_tools_ds' package. "
                  "Please update GDAL!")
30
del gdal, gdalnumeric